> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-7/v7-1-1-74545.md).

# Version 7.1.1.74545 Changelog (April 7th, 2020)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

* Version: 7.1.1.74545
* Release Date: April 7th, 2020
* Built with Xcode 11.3.1 (11C505)

## New

![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-bff94112137b75de44d25608c0e8fb803f46ddda%2F8f2060cb27c48904b65506849f738c16e1db1d64-828x1792.gif?alt=media)

* New option to search document for selected text.
* The [`PTDocumentViewController`](https://sdk.apryse.com/api/ios/Classes/PTDocumentViewController.html)'s autosaving can be completely disabled, including when the app is sent to the background and the document is closed.
* The [`PTSignaturesManager`](https://sdk.apryse.com/api/ios/Classes/PTSignaturesManager.html) can now return a UIImage copy of any saved signature.
* It is now possible to customize via subclassing the individual cells of a [`PTAnnotationViewController`](https://sdk.apryse.com/api/ios/Classes/PTAnnotationViewController.html) based on the annotation being displayed.
* Cloudy annotations now show their correct appearance when selected and while moving a vertex.
* Cloudy annotations can how have the size of their cloud bump size ("border effect intensity") changed via API.
* The [annotation style picker](https://sdk.apryse.com/api/ios/Classes/PTAnnotStyleViewController.html#/c:objc\(cs\)PTAnnotStyleViewController\(py\)annotStyle) can now be customized with different minimum/maximum slider values.
* New [`PTPDFViewCtrlDelegate`](https://sdk.apryse.com/api/ios/Protocols/PTPDFViewCtrlDelegate.html) and [`PTPDFViewCtrlToolDelegate`](https://sdk.apryse.com/api/ios/Protocols/PTPDFViewCtrlToolDelegate.html) method `pdfViewCtrlShouldZoom:` to dynamically control if zooming is enabled.
* New [`PTBookmarkViewControllerDelegate`](https://sdk.apryse.com/api/ios/Protocols/PTBookmarkViewControllerDelegate.html) methods `didAdd/RemoveBookmark`.

## Bug fixes

* [`PTFreeText`](https://sdk.apryse.com/api/ios/Classes/PTFreeText.html) annotations are no longer distorted during a resize.
* [`PTFreeText`](https://sdk.apryse.com/api/ios/Classes/PTFreeText.html) properties changed in the style picker are now reflected immediately in the selected annotation.
* The `PTPDFViewCtrl`[`zoomEnabled`](https://sdk.apryse.com/api/ios/Classes/PTPDFViewCtrl.html#/c:objc\(cs\)PTPDFViewCtrl\(py\)zoomEnabled) property now works as expected in all cases.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-7/v7-1-1-74545.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
